%define major 2
%define libname %mklibname %name %{major}
%define develname %mklibname %{name} -d

Summary: Library for processing UTF-8 encoded Unicode strings
Name:    utf8proc
Version: 2.6.1
Release: %mkrel 1
License: BSD
Group:   System/Libraries
URL:     http://julialang.org/utf8proc/
Source:  https://github.com/JuliaLang/utf8proc/archive/v%{version}/%{name}-%{version}.tar.xz

%description
utf8proc is a library for processing UTF-8 encoded Unicode strings.
Some features are Unicode normalization, stripping of default ignorable
characters, case folding and detection of grapheme cluster boundaries.
A special character mapping is available, which converts for example
the characters “Hyphen” (U+2010), “Minus” (U+2212) and “Hyphen-Minus
(U+002D, ASCII Minus) all into the ASCII minus sign, to make them
equal for comparisons.

The currently supported Unicode version is 9.0.0.

This package only contains the C library.

%package -n %libname
Summary:  Library for processing UTF-8 encoded Unicode strings
Group:   System/Libraries

%description -n %libname
utf8proc is a library for processing UTF-8 encoded Unicode strings.
Some features are Unicode normalization, stripping of default ignorable
characters, case folding and detection of grapheme cluster boundaries.
A special character mapping is available, which converts for example
the characters “Hyphen” (U+2010), “Minus” (U+2212) and “Hyphen-Minus
(U+002D, ASCII Minus) all into the ASCII minus sign, to make them
equal for comparisons.

The currently supported Unicode version is 9.0.0.

This package only contains the C library.

%package -n %develname
Summary:  Header files, libraries and development documentation for %{name}
Group:    Development/Libraries
Requires: %libname = %{version}-%{release}
Provides: %name-devel = %{version}-%{release}

%description -n %develname
Contains header files for developing applications that use the %{name}
library.

The documentation for the C library is found in the utf8proc.h header file.
"utf8proc_map" is most likely the function you will be using for mapping UTF-8
strings, unless you want to allocate memory yourself.

%prep
%setup -q

%build
%make_build CFLAGS="%{optflags}"

%install
%make_install prefix=%{_prefix} includedir=%{_includedir} libdir=%{_libdir}

rm %{buildroot}%{_libdir}/libutf8proc.a

%files -n %libname
%doc LICENSE.md NEWS.md README.md
%{_libdir}/libutf8proc.so.%{major}*

%files -n %develname
%{_includedir}/utf8proc.h
%{_libdir}/libutf8proc.so
%{_libdir}/pkgconfig/libutf8proc.pc

%changelog
* Sun Dec 20 2020 tex - 2.6.1-1pclos2021
- new version

* Fri Jul 05 2019 tex - 2.4.0-1pclos2019
- new version

* Sat Dec 01 2018 tex 2.2.0-1pclos2019
- version: 2.2.0
